Subject: Re: bug#19931: 24.4; Support for OS X press and hold

From: Philipp Stephani <[email-masked]>
Date: Sat, 12 Dec 2020 17:52:54 +0100

Am Mo., 23. Nov. 2020 um 15:04 Uhr schrieb Stefan Kangas <[email-masked]>:
>
> Philipp Stephani <[email-masked]> writes:
>
> > "Press and hold" is an OS X input method used for entering accented
> > characters if a key is held down (instead of repeating the key).  It's
> > not supported in Emacs.
> > http://lists.gnu.org/archive/html/emacs-devel/2011-06/msg00784.html
> > states: "Let's look into making it work properly once people decide to
> > install Lion."
> > That was more than three years ago, and since then two major OS X
> > versions have been released, but unfortunately press and hold is still
> > not supported.  It would be great to support this feature to make Emacs
> > more consistent with other apps on OS X.
>
> Do we have support for this on free operating systems?  Otherwise, I
> think the policy is that we can't add it to Emacs.

Probably yes, at least I haven't found similar functionality on free
windowing systems.